/* install.cmd */
/* Author: Peter Brown */
/* Purpose: Install USBcfg.exe, USBcfg.hlp and setup USB program object in System Setup folder */
/* Modified for beta5 to distinguish between eCS and OS/2 */

call rxFuncAdd "SysLoadFuncs" , "RexxUtil" , "SysLoadFuncs"
call SysLoadFuncs

  boot_drive = ''
  boot_drive = SysBootDrive()

name = "USB"
dir = directory()

/*  eCS or OS/2? */
call SysFileTree boot_drive||'\ecs\bin', 'file', 'D'
If file.0=1 Then
Do
/* eCS */
  '@Copy ' ||dir||"\USBCFG.EXE" boot_drive||"\ecs\bin\USBCFG.EXE"
  '@Copy ' ||dir||"\USBCFG.HLP" boot_drive||"\ecs\help\USBCFG.HLP"
  PRGOPTION="EXENAME="||boot_drive||"\ecs\bin\USBCFG.EXE;OBJECTID=<USBCFG_EXE>"
/* just in case the app was previously installed in [BootDrive]:\os2 */
  call SysFileTree boot_drive||'\OS2\USBCFG.EXE', 'thefile', 'F'
     If thefile.0=1 Then
       Do
           '@Del' boot_drive||'\OS2\USBCFG.EXE'
           '@Del' boot_drive||'\OS2\USBCFG.HLP'
           '@Del' boot_drive||'\OS2\USBCFG.INI'
      End
/* just in case the help file, usbcfg.hlp, was previously installed in [BootDrive]:\ecs\bin */
  call SysFileTree boot_drive||'\ecs\bin\USBCFG.HLP', 'helpfile', 'F'
     If helpfile.0=1 Then
       Do
           '@Del' boot_drive||'\ecs\bin\USBCFG.HLP'
      End
End 
Else
Do
/* OS/2 */
'@Copy ' ||dir||"\USBCFG.EXE" boot_drive||"\OS2\USBCFG.EXE"
'@Copy ' ||dir||"\USBCFG.HLP" boot_drive||"\OS2\USBCFG.HLP"
PRGOPTION="EXENAME="||boot_drive||"\OS2\USBCFG.EXE;OBJECTID=<USBCFG_EXE>"
End
/* Create program object */
rc=SysCreateObject("WPProgram",name,"<WP_CONFIG>",PRGOPTION,"REPLACE")

Exit
